Bug 599427 - rpmlint does not ignore comments in the spec
Summary: rpmlint does not ignore comments in the spec
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 08:29 UTC by Ankur Sinha (FranciscoD)
Modified: 2010-07-01 18:54 UTC (History)
3 users (show)

Fixed In Version: rpmlint-0.98-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 18:47:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample spec for testing (2.27 KB, text/x-rpm-spec)
2010-06-03 08:30 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2010-06-03 08:29:32 UTC
Description of problem:
rpmlint gives errors/warnings even based on comments in a spec. The comments should be ignored by rpmlint


Version-Release number of selected component (if applicable):
[Ankur@localhost SPECS]$ rpm -q rpmlint
rpmlint-0.97-1.fc13.noarch

How reproducible:
Add a comment to a spec which has an "rpmlint error"


Steps to Reproduce:
1. add a comment which would otherwise be an error
2. run rpmlint

  
Actual results:
It gives warnings on the comment too

Expected results:
Comments should be ignored

Additional info:
Try this spec:

http://ankursinha.fedorapeople.org/libgexiv2/libgexiv2.spec
(attaching it for future reference)

line 36 is a comment on ./configure.

rpmlint gives:

[Ankur@localhost SPECS]$ rpmlint libgexiv2.spec 
libgexiv2.spec:36: W: configure-without-libdir-spec

Comment 1 Ankur Sinha (FranciscoD) 2010-06-03 08:30:23 UTC
Created attachment 419276 [details]
sample spec for testing

Comment 3 Fedora Update System 2010-06-23 19:53:19 UTC
rpmlint-0.98-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc13

Comment 4 Fedora Update System 2010-06-23 19:53:52 UTC
rpmlint-0.98-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc12

Comment 5 Fedora Update System 2010-06-24 16:23:40 UTC
rpmlint-0.98-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc13

Comment 6 Fedora Update System 2010-07-01 18:46:54 UTC
rpmlint-0.98-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-01 18:54:06 UTC
rpmlint-0.98-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.